GDB (xrefs)

Public Member Functions | Public Attributes | Static Public Attributes | List of all members
cons_value::tracker Struct Reference

## Public Member Functions
| tracker (int value)
| ~tracker ()
| tracker (tracker const &other)
| tracker (tracker &&other)
tracker & | operator= (tracker const &)=default
tracker & | operator= (tracker &&)=default

## Public Attributes
int | value

## Static Public Attributes
static int | count = 0

## Detailed Description

Definition at line 20 of file value.cc.

## Constructor & Destructor Documentation

## ◆ tracker() [1/3]

cons_value::tracker::tracker | ( | int | value | ) |
| inline

Definition at line 22 of file value.cc.

References count.

## ◆ ~tracker()

cons_value::tracker::~tracker | ( |  | ) |
| inline

Definition at line 23 of file value.cc.

References count.

## ◆ tracker() [2/3]

cons_value::tracker::tracker | ( | tracker const & | other | ) |
| inline

Definition at line 25 of file value.cc.

References count.

## ◆ tracker() [3/3]

cons_value::tracker::tracker | ( | tracker && | other | ) |
| inline

Definition at line 26 of file value.cc.

References count.

## Member Function Documentation

## ◆ operator=() [1/2]

tracker& cons_value::tracker::operator= | ( | tracker const & |  | ) |
| default

## ◆ operator=() [2/2]

tracker& cons_value::tracker::operator= | ( | tracker && |  | ) |
| default

## Member Data Documentation

## ◆ count

int cons_value::tracker::count = 0
| static

Definition at line 37 of file value.cc.

Referenced by cons_value::test(), tracker(), and ~tracker().

## ◆ value

int cons_value::tracker::value

Definition at line 35 of file value.cc.

Referenced by cons_value::test().

The documentation for this struct was generated from the following file:

- /tmp/gdb-8.1/gdb/unittests/optional/cons/value.cc